%undefine __libtoolize
%define qtdir /usr/lib/qt3

Name: kbiff
Version: 3.7
Release: alt2

Group: Graphical desktop/KDE
Summary: Kbiff is a new mail notification utility
Url: http://kbiff.granroth.org
License: GPL

Requires: %{get_dep kdelibs}
Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source0: %name-%version.tar.bz2
Patch1: kbiff-3.7-alt_default_settings.patch
Patch2: kbiff-3.7-alt_autostart.patch

# Automatically added by buildreq on Mon Oct 27 2003 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kbiff kde-settings kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel libxml2 libxslt xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kdelibs-devel libGLU libart_lgpl-devel
BuildRequires: libarts-devel libaudio libexpat libjpeg-devel liblcms libmng
BuildRequires: libpng-devel libqt3-devel libstdc++-devel
BuildRequires: libxml2 libxslt xml-utils zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
KBiff is a "biff", or new mail notification utility. It is highly configurable
but very easy to use and set up. It tries to combine the best of the features of
most of the "other" biff programs out there. KBiff supports all major mailbox
formats: mbox (Berkely style), maildir, mh, POP3, IMAP4 and NNTP.

%prep
%setup  -q
%patch1 -p1
%patch2 -p1

rm -f po/*.gmo
pushd po
for f in *.po
do
    cp $f "$f".tmp
    CCHARSET=`grep charset "$f".tmp| sed "s/^.*charset=//"| sed "s/\\\\\\.*//"`
    iconv -f$CCHARSET -tUTF-8 "$f".tmp -o $f ||:
    rm -f "$f".tmp
    subst "s/charset\=$CCHARSET/charset=UTF-8/" $f
done
popd

%build
export QTDIR=%qtdir
%configure \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--enable-threading \
	--enable-ssl \
	--program-transform-name="" \
	--enable-final

%make_build

%install
mkdir -p %buildroot/%_datadir/config/
make install DESTDIR=%buildroot

install -d %buildroot/%_datadir/autostart/
install -m644 %buildroot/%_datadir/applnk/Internet/%name.desktop %buildroot/%_datadir/autostart/%name.desktop

install -d %buildroot/%_menudir/
#kdedesktop2mdkmenu.pl %name Networking/Mail %buildroot/%_datadir/applnk/Internet/%name.desktop %buildroot/%_menudir/%name kde

cat > %buildroot/%_menudir/%name <<EOF
    ?package(%name):\
    command="%name"\
    title="Kbiff"\
    genericname="Mail Indicator"\
    longtitle="A mail notification utility"\
    icon="%name.png"\
    needs="kde"\
    section="Networking/Mail"
EOF

%find_lang %name


%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus


%files -f %name.lang
%_bindir/*
%_libdir/*.so
%_libdir/*.la
#
%_datadir/apps/%name
%_datadir/icons/*/*/*/*
#
%doc %_man1dir/%{name}*
%doc %_docdir/HTML/en/%name
%lang(de) %doc %_docdir/HTML/de/%name
%lang(es) %doc %_docdir/HTML/es/%name
%lang(fr) %doc %_docdir/HTML/fr/%name
#
%_datadir/autostart/%name.desktop
%_datadir/applnk/Internet/*.desktop
%_menudir/*

%changelog
* Wed Oct 29 2003 Sergey V Turchin <zerg at altlinux dot org> 3.7-alt2
- turn off autostart by default
- fix non-UTF8 translations files

* Mon Oct 27 2003 Sergey V Turchin <zerg at altlinux dot org> 3.7-alt1
- new version
- add autostart by default

* Fri Mar 28 2003 Sergey V Turchin <zerg@altlinux.ru> 3.6.3-alt1
- new version

* Tue Nov 05 2002 Sergey V Turchin <zerg@altlinux.ru> 3.6.2-alt1
- new version

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 3.6.1-alt2
- rebuild with gcc3.2 && objprelink

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 3.6.1-alt1
- new version
- build with KDE3

* Fri Jan 18 2002 Sergey V Turchin <zerg@altlinux.ru> 3.5.4-alt2
- rebuild without fam

* Wed Nov 14 2001 Sergey V Turchin <zerg@altlinux.ru> 3.5.4-alt1
- new version

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 3.5.2-alt1
- new version

* Thu Oct 11 2001 Sergey V Turchin <zerg@altlinux.ru> 3.4.2-alt2
- rebuild with new libpng

* Wed Jun 27 2001 Sergey V Turchin <zerg@altlinux.ru> 3.4.2-alt1
- build for ALT

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-2mdk
- Update code (3.4.2)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Use more macro
- Don't delete usefull links for documentation
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix BuildRequires for non %%ix86 architectures

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-2mdk
- Add build requires

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-1mdk
- Update code

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.1-2mdk
- Rebuild agains Qt 2.3.0

* Thu Jan 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- Update code

* Thu Dec 07 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-2mdk
- Fix package

* Mon Nov 22 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-1mdk
- Initial package fix compile with gcc-2.96
